==============
Abaqus Session
==============

Session commands are used to create objects that are not stored with the model; for example, viewports and display groups. Abaqus/CAE retains Session objects only for the duration of the session; they are not saved when the model database is saved.

.. toctree::
   :maxdepth: 1
   :caption: Objects of Session

   session/animation
   session/canvas
   session/display_options
   session/display
   session/field_report
   session/odb_display
   session/path
   session/plot_options
   session/print
   session/xy

Object features
---------------

Session
~~~~~~~

.. autoclass:: abaqus.Session.Session.Session
    :members:
    :inherited-members:

    .. autoclasstoc::

SessionBase
~~~~~~~~~~~

.. autoclass:: abaqus.Session.SessionBase.SessionBase
    :members:

    .. autoclasstoc::

AnimationSession
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Animation.AnimationSession.AnimationSession
    :members:

    .. autoclasstoc::

DisplayGroupSession
~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayGroup.DisplayGroupSession.DisplayGroupSession
    :members:

    .. autoclasstoc::

FieldReportSession
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.FieldReport.FieldReportSession.FieldReportSession
    :members:

    .. autoclasstoc::

JobSession
~~~~~~~~~~

.. autoclass:: abaqus.Job.JobSession.JobSession
    :members:

    .. autoclasstoc::

OdbSession
~~~~~~~~~~

.. autoclass:: abaqus.Odb.OdbSession.OdbSession
    :members:

    .. autoclasstoc::

PathSession
~~~~~~~~~~~

.. autoclass:: abaqus.PathAndProbe.PathSession.PathSession
    :members:

    .. autoclasstoc::

XYSession
~~~~~~~~~

.. autoclass:: abaqus.XY.XYSession.XYSession
    :members:

    .. autoclasstoc::


AutoColors
~~~~~~~~~~

.. autoclass:: abaqus.Session.AutoColors.AutoColors
    :members:

    .. autoclasstoc::

Color
~~~~~

.. autoclass:: abaqus.Session.Color.Color
    :members:

    .. autoclasstoc::

Drawing
~~~~~~~

.. autoclass:: abaqus.Session.Drawing.Drawing
    :members:

    .. autoclasstoc::

Image
~~~~~

.. autoclass:: abaqus.Session.Image.Image
    :members:

    .. autoclasstoc::

JournalOptions
~~~~~~~~~~~~~~

.. autoclass:: abaqus.Session.JournalOptions.JournalOptions
    :members:

    .. autoclasstoc::

MemoryReductionOptions
~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Session.MemoryReductionOptions.MemoryReductionOptions
    :members:

    .. autoclasstoc::

NetworkDatabaseConnector
~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Session.NetworkDatabaseConnector.NetworkDatabaseConnector
    :members:

    .. autoclasstoc::

NumberFormat
~~~~~~~~~~~~

.. autoclass:: abaqus.Session.NumberFormat.NumberFormat
    :members:

    .. autoclasstoc::

